> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get an one (/api/v1/topology-snapshots/&#123;id&#125;)

> Get an one (/api/v1/topology-snapshots/&#123;id&#125;)

### Path parameters

<ParamField path="id" type="string" required>
  Snapshot ID
</ParamField>

### Responses

<ResponseField name="200" type="SnapshotResponse" />

<ResponseField name="404" type="ErrorBody" />

<RequestExample>
  ```bash cURL theme={null}
  curl --request GET \
    --url 'https://api.stateset.com/api/v1/topology-snapshots/{id}' \
    --header 'Authorization: Bearer YOUR_API_KEY'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "captured_at": "string",
    "id": "string",
    "label": null,
    "lines": [
      {
        "location": null,
        "product_id": "string",
        "quantity_available": "string",
        "quantity_on_hand": "string",
        "sku": "string"
      }
    ],
    "total_skus": 1,
    "total_units": "string"
  }
  ```
</ResponseExample>
